Navigation

Install MongoDB Community Edition on Linux

On this page

These documents provide instructions to install MongoDB Community Edition for various Linux systems.

Other Systems

Windows Subsystem for Linux (WSL) - Unsupported

MongoDB does not support WSL, and users on WSL have encountered various issues installing on WSL. For examples, see:

For Linux and BSD systems without supported packages, MongoDB works with the community to ensure that MongoDB packages are available: